#ifndef RGBLEDWIDGET_H
#define RGBLEDWIDGET_H

#include <QGraphicsItem>
#define LED_DIAMETER 30.0

class CRGBLedWidget : public QGraphicsItem
{
public:

    CRGBLedWidget(QColor Color = Qt::darkBlue, QGraphicsItem *parent = 0);
    QColor mLEDColor;

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    QRectF boundingRect() const;
    int SetColor(QColor color);
    int SetColor(int r, int g, int b);

     bool mIsSelected;
     qreal mLedDiameter;

     void	mouseReleaseEvent(QGraphicsSceneMouseEvent * event);
     void	mousePressEvent(QGraphicsSceneMouseEvent * event);

};

#endif // RGBLEDWIDGET_H
